## xinv3d 1.31

=== Makefile ===
all: game

CC = gcc
XLIB = -L/usr/X11R6/lib -I/usr/X11R6/include
LIBS = -lm -lX11
OBJS = game.o aliens.o player.o effects.o \
object.o camera.o main-x11.o vec4x1.o mat4x4.o
DEPENDS = 
#CFLAGS = -g -Wall -pedantic -ansi
CFLAGS = -ansi
#OPTIONS = -D_GNU_SOURCE -DGAME_LINUX_X11 -DGAME_DEBUG
OPTIONS= -DGAME_LINUX_X11

.c.o: $(DEPENDS)
	$(CC) -c $(CFLAGS) $(OPTIONS) $< -o $@

game: $(OBJS) $(DEPENDS)
	$(CC) -o xinv3d $(OBJS) $(XLIB) $(LIBS) $(OPTIONS)

clean:
	rm *.o
	rm xinv3d

aliens.o: aliens.c game.h vec4x1.h mat4x4.h camera.h system.h defines.h \
 object.h externs.h
camera.o: camera.c mat4x4.h vec4x1.h camera.h
effects.o: effects.c game.h vec4x1.h mat4x4.h camera.h system.h \
 defines.h object.h externs.h
game.o: game.c game.h vec4x1.h mat4x4.h camera.h system.h defines.h \
 object.h externs.h
object.o: object.c mat4x4.h vec4x1.h defines.h object.h
main-x11.o: main-x11.c game.h vec4x1.h mat4x4.h camera.h system.h \
 defines.h object.h externs.h
mat4x4.o: mat4x4.c mat4x4.h vec4x1.h
player.o: player.c game.h vec4x1.h mat4x4.h camera.h system.h defines.h \
 object.h externs.h
vec4x1.o: vec4x1.c vec4x1.h

## xinv3d 1.3.6

=== debian/changelog ===
xinv3d (1.3.6-7) unstable; urgency=medium

  * Move package under Games Team umbrella (Closes: #900345)
  * Bump debhelper compat level to 13 (Closes: #965904)
  * Update Standards-Version to latest
  * Add ${misc:Depends} to binary
  * Add a homepage URL
  * Add Vcs-* URLs for current packaging
  * Switch to source format 3.0
  * Migrate to debhelper sequencer (Closes: #999314)
  * Add a watch file
  * Add Rules-Requires-Root field
  * Switch copyright to machine readable format

 -- Ricardo Mones <mones@debian.org>  Fri, 14 Jan 2022 19:07:09 +0100

xinv3d (1.3.6-6) unstable; urgency=low

  * Updatd build dependency on x-dev to x11proto-core-dev (closes:
    #515418)
  * Added DEB_BUILD_OPTIONS tests to debian/rules
  * Bumped Standards-Version to 3.8.0
  * Added copyright statement to debian/copyright (fix lintian warning)

 -- Chris Butler <chrisb@debian.org>  Sun, 15 Feb 2009 20:06:56 +0000

xinv3d (1.3.6-5) unstable; urgency=low

  * Updated menu entry for new menu policy
  * Updated my address in debian/copyright
  * Bumped Standards-Version to 3.7.2 (no changes required)
  * Updated debhelper usage to latest standards
  * Fixed Makefile so clean doesn't fail when already clean

 -- Chris Butler <chrisb@debian.org>  Thu,  5 Jul 2007 13:25:59 +0100

xinv3d (1.3.6-4) unstable; urgency=low

  * Bumped Standards-Version to 3.6.2
  * Updated build-depends to get rid of obsolete xlibs-dev package
  * Quoted strings in debian/menu to get rid of lintian warning

 -- Chris Butler <chrisb@debian.org>  Mon, 16 Jun 2003 21:45:37 +0100

xinv3d (1.3.6-3) unstable; urgency=low

  * Incorporated changes from NMU, and bumped Standards-Version to 3.5.9
    (closes: #170187)

 -- Chris Butler <chrisb@debian.org>  Sun,  6 Apr 2003 19:21:42 +0100

xinv3d (1.3.6-2.1) unstable; urgency=low

  * Non-Maintainer Upload
  * debian/control:
    - Bumped Standards-Version to 3.5.8
    - Replaced xlib6g-dev build dependency with xlibs-dev. Closes: #170187
    - Updated debhelper build-dependency to version 4
  * debian/rules: switched DH_COMPAT to 4
  * debian/copyright: removed dh_make boilerplate in authors
    description.

 -- Jerome Marant <jerome@debian.org>  Sat,  8 Mar 2003 13:39:29 +0100

xinv3d (1.3.6-2) unstable; urgency=low

  * Remove CVS directories from source package
  * Add missing build dependancy on debhelper (closes: #77880)

 -- Chris Butler <chrisb@debian.org>  Thu, 15 Nov 2001 00:29:39 +0000

xinv3d (1.3.6-1) unstable; urgency=low

  * New upstream release

 -- Chris Butler <chrisb@debian.org>  Wed, 22 Nov 2000 18:29:24 +0000

xinv3d (1.3.1-1) unstable; urgency=low

  * New upstream release
  * debian/menu: fix typo - "/usr/bin/xinv3d" -> "/usr/games/xinv3d"
    (closes: #58844)

 -- Chris Butler <chrisb@sandy.force9.co.uk>  Mon, 13 Mar 2000 20:16:22 +0000

xinv3d (1.3-1) unstable; urgency=low

  * New upstream release

 -- Chris Butler <chrisb@sandy.force9.co.uk>  Sun,  6 Feb 2000 14:48:33 +0000

xinv3d (1.2-1) unstable; urgency=low

  * Initial Release.

 -- Chris Butler <chrisb@sandy.force9.co.uk>  Sun,  6 Feb 2000 14:24:06 +0000

=== debian/control ===
Source: xinv3d
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Ricardo Mones <mones@debian.org>
Standards-Version: 4.6.0
Build-Depends: libx11-dev, x11proto-core-dev, debhelper-compat (= 13)
Rules-Requires-Root: no
Homepage: http://freshmeat.sourceforge.net/projects/xinvaders3d
Vcs-Git: https://salsa.debian.org/games-team/xinv3d.git
Vcs-Browser: https://salsa.debian.org/games-team/xinv3d

Package: xinv3d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3D space invaders for X
 XInvaders 3D is a 3D vector-based space-invaders clone for
 the X Window System.

=== debian/rules ===
#!/usr/bin/make -f

CLU = debian/changelog.upstream

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	sed -n /History/,\$$p README > $(CLU)

override_dh_clean:
	rm -f $(CLU)
	dh_clean

=== debian/watch ===
# Upstream site is missing, but you can see how it was in the past:
# https://web.archive.org/web/20110216031507/https://sourceforge.net/projects/xinvaders3d/

## xinv3d 1.31

=== debian/changelog ===
xinv3d (1.31-1) unstable; urgency=medium

  * Team Upload
  * project has moved to GitHub, adapt url's (Closes: #995218)
  * New upstream version 1.31
  * debian/copyright
    * add missing dots at start of lines
    * update FSF address
  * remove old menu file

 -- Alexandre Detiste <tchet@debian.org>  Wed, 03 Jan 2024 14:47:38 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.6.0
 Build-Depends: libx11-dev, x11proto-core-dev, debhelper-compat (= 13)
 Rules-Requires-Root: no
-Homepage: http://freshmeat.sourceforge.net/projects/xinvaders3d
+Homepage: https://github.com/JoesCat/xinvaders3d
 Vcs-Git: https://salsa.debian.org/games-team/xinv3d.git
 Vcs-Browser: https://salsa.debian.org/games-team/xinv3d

=== debian/watch ===
version=4
https://github.com/JoesCat/xinvaders3d/tags (?:.*/)@ANY_VERSION@@ARCHIVE_EXT@
